There is currently no deprecation policy for agent packages - we continue to maintain old versions without limit.


Since all the server package compatible OSes have different interpretations of what a 'supported version' is, here are the OS versions each Rudder server package will support at the time of their release:


  • Debian: stable and oldstable
  • Ubuntu: the two latest LTS releases
  • Enterprise Linux (RHEL, CentOS, ...): the two latest major releases
  • SuSE Linux Enterprise: the two latest major release's service packs

Versioning

Is this article helpful for you?